package durable.subscriber;

import implementation.ClientJMS;

import javax.jms.Connection;
import javax.jms.ConnectionFactory;

import javax.jms.JMSException;

import javax.jms.Topic;

import javax.jms.Session;



/* Annick Fron
 * inscription avant lancement de l'emetteur
 */

public class Inscription extends ClientJMS {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		new Inscription().run();
	}

	public void run() {
		ConnectionFactory cf = getConnectionFactory();
		Connection connexion;
		try {
			connexion = cf.createConnection();
			// mettre un ID a la connexion
			connexion.setClientID("Client1");
			Session session = connexion.createSession(false,
					Session.AUTO_ACKNOWLEDGE);
			// pour un Topic on aurait de meme createTopic...
			Topic topic = session.createTopic("MonTopic");

			session.createDurableSubscriber(topic, "Abonnement1");
			// ne pas oublier de demarrer la connexion
			connexion.start();
		// pas de reception
			connexion.close();

		} catch (JMSException e) {
			
			System.out.println(e.getMessage());
		}
		
	}
}
